Renew a domain
POST
https://api.vercel.com/v1/registrar/domains/{domain}/renewRenew a domain
https://api.vercel.com/v1/registrar/domains/{domain}/renew
const response = await fetch('https://api.vercel.com/v1/registrar/domains/domain/renew?teamId=string', { method: 'POST', headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN', 'Content-Type': 'application/json', }, body: JSON.stringify({ "years": "123", "expectedPrice": "123", "contactInformation": { "firstName": "Example Name", "lastName": "Example Name", "email": "user@example.com", "phone": "string", "address1": "string", "address2": "string", "city": "string", "state": "string", "zip": "string", "country": "string", "companyName": "Example Name", "fax": "string" } }),});
const data = await response.json();console.log(data);Response
{ "orderId": "example_id", "_links": "value"}Errors
{ "status": "400", "code": "bad_request", "message": "string"}AuthorizationbearerToken
Default authentication mechanism
400There was something wrong with the request
404The domain was not found in our system.
429TooManyRequests